﻿using EPiServer.Core;
using PageTypeBuilder;
using Bananas.ExtensionMethods;

namespace Bananas.PageTypes
{
    [PageType(Filename = "~/Templates/Pages/Article.aspx")]
    public class ArticlePage : EditorialPage, IMenuName 
    {
        [PageTypeProperty(Type = typeof(PropertyString))]
        public string MenuName
        {
            get
            {
                string menuName = this.GetPropertyValue(page => page.MenuName);
                if (!string.IsNullOrEmpty(menuName))
                    return menuName;

                return PageName;
            }
        }

        [PageTypeProperty(ClearAllLongStringSettings = true)]
        public override string MetaDescription
        {
            get
            {
                string metaDescription = this.GetPropertyValue(page => page.MetaDescription);
                if (!string.IsNullOrEmpty(metaDescription))
                    return metaDescription;

                return MainBody.RemoveHtml().EllipseText(150);
            }
            set
            {
                base.MetaDescription = value;
            }
        }
    }
}
