﻿using System;
using System.Web.UI.WebControls;
using EPiServer.Core;
using PageTypeBuilder.UI;
using Bananas.PageTypes;

namespace Bananas.Templates.Pages
{
    public partial class List : TemplatePage<ListPage>
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            RepeaterPageList.DataSource = CurrentPage.PagesToList;
            RepeaterPageList.ItemDataBound += RepeaterPageList_ItemDataBound;
            RepeaterPageList.DataBind();
        }

        void RepeaterPageList_ItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            if(e.Item.DataItem == null)
                return;

            PageData listItem = (PageData) e.Item.DataItem;
            HyperLink hyperLinkListItem = (HyperLink)e.Item.FindControl("HyperLinkListItem");
            hyperLinkListItem.Text = listItem.PageName;
            hyperLinkListItem.NavigateUrl = listItem.LinkURL;
        }
    }
}
