﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI.WebControls;
using EPiServer;
using EPiServer.Core;

namespace Bananas.Templates.Controls
{
    public partial class MainMenu : UserControlBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            IEnumerable<PageData> mainMenuItems = from page in GetChildren(PageReference.StartPage)
                                                  where page.VisibleInMenu
                                                  && page.CheckPublishedStatus(PagePublishedStatus.Published)
                                                  select page;

            RepeaterMainMenu.DataSource = mainMenuItems;
            RepeaterMainMenu.ItemDataBound += RepeaterMainMenu_ItemDataBound;
            RepeaterMainMenu.DataBind();
        }

        void RepeaterMainMenu_ItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            if(e.Item.DataItem == null)
                return;

            PageData menuItem = (PageData) e.Item.DataItem;
            
            HyperLink hyperLinkMenuLink = (HyperLink)e.Item.FindControl("HyperLinkMenuLink");
            hyperLinkMenuLink.Text = menuItem.PageName;

            hyperLinkMenuLink.NavigateUrl = menuItem.LinkURL;
        }
    }
}